<?php

namespace Deployer;

set('database_configured', function() {
    return has('db_name') && strlen(get('db_name')) &&
        has('db_conf_path') && strlen(get('db_conf_path')) && test("[ -f {{db_conf_path}} ]");
});

set('mysql_configured', function() {
    return has('bin/mysql') && strlen(get('bin/mysql')) &&
        get('database_configured');
});

set('mysqldump_configured', function() {
    return has('bin/mysql') && strlen(get('bin/mysql')) &&
        get('database_configured');
});

